For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution Log Urls

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id/:type
GET
/api/syncs/:sync_id/executions/:id/:type
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/records \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "expires": "2024-01-01T00:00:00Z",
4 "urls": [
5 "https://example.com/logs"
6 ]
7 }
8}
Returns signed URLs for every log file of a given type on a model sync execution. `{type}` identifies the log category, such as `errors` or `warnings`. The response contains a signed URL for each log file in that category. > 🚧 Signed URLs expire after a short period. If a URL has expired, re-request > it from this endpoint. To fetch a single file's URL directly, use > [`GET /api/syncs/{sync_id}/executions/{id}/{type}/{filename}`](../../../../../../api-reference/model-sync/executions/get-logs).
Was this page helpful?
Previous

Get Execution Log

Next

Returns signed URLs for every log file of a given type on a model sync execution.

{type} identifies the log category, such as errors or warnings. The response contains a signed URL for each log file in that category.

🚧 Signed URLs expire after a short period. If a URL has expired, re-request it from this endpoint. To fetch a single file’s URL directly, use GET /api/syncs/{sync_id}/executions/{id}/{type}/{filename}.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"
typeenumRequired

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error